<?php

/* * *************************************************************************
 * @Author: NetChillies - PepUp The Web!
 * @Website: http://www.netchillies.com/
 * @Contact: http://www.netchillies.com/contact
 * @Privacy Policy & Terms of Use: http://www.netchillies.com/terms
 * @License Info: http://www.netchillies.com/license
 * ************************************************************************* */
// Product Information
$ncewpf_options['info_page'] = array(
    array(
        'oid' => 'item_info',
        'oname' => 'Product Info',
        'otype' => 'heading',
        'oinfo' => '',
        'osuffix' => 'px',
        'ovalue' => '',
        'odefault' => 'Product Information',
    ),
    array(
        'oid' => 'item_type',
        'oname' => 'Product Type',
        'otype' => 'info',
        'oinfo' => '',
        'osuffix' => 'px',
        'ovalue' => '',
        'odefault' => 'WordPress ' . ncewpf_product_info('item_type'),
    ),
    array(
        'oid' => 'item_name',
        'oname' => 'Product Name',
        'otype' => 'info',
        'oinfo' => '',
        'osuffix' => 'px',
        'ovalue' => '',
        'odefault' => ncewpf_product_info('item_name') .' | <a href="'.  ncewpf_product_info('pro_version_url').'" target="_blank" title="">Check out the premium version.</a>',
    ),
    array(
        'oid' => 'terms_of_use',
        'oname' => 'License',
        'otype' => 'info',
        'oinfo' => '',
        'osuffix' => 'px',
        'ovalue' => '',
        'odefault' => '<p>This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.</p>',
    ),
    array(
        'oid' => 'localization',
        'oname' => 'Localization',
        'otype' => 'info',
        'oinfo' => '',
        'osuffix' => '',
        'ovalue' => '',
        'odefault' => '<p><a target="_blank" href="//http://www.netchillies.com/localize-plugins/" title="">Follow this tutorial </a> to translate this plug-in in your language',
    ),
    array(
        'oid' => 'help_and_support',
        'oname' => 'Help &amp; Support',
        'otype' => 'info',
        'oinfo' => '',
        'osuffix' => 'px',
        'ovalue' => '',
        'odefault' => '<a target="_blank" href="http://www.netchillies.com/forums" title="">Support Forums</a> | <a  target="_blank" href="http://www.netchillies.com/contact" title="">Contact Us</a>',
    ),
    array(
        'oid' => 'special_offers',
        'oname' => 'Special Offers',
        'otype' => 'info-yellow',
        'oinfo' => '',
        'osuffix' => 'px',
        'ovalue' => '',
        'odefault' => '<p>Be notified of our special offers/discounts and Win a free license for any of our products every month.</p> 
                       <p>
                           <a href="https://www.facebook.com/NetChillies" target="_blank">Like us on Facebook</a> &bull; 
                           <a href="http://www.twitter.com/netchillies" target="_blank">Follow us on Twitter</a> &bull;
                           <a target="_blank" href="http://eepurl.com/bV_WT" title="">Join our mailing list</a>
                       </p>'),
);

// Documentation
$ncewpf_options['documentation'] = array(
    array(
        'oid' => 'docs_heading',
        'oname' => 'Documentation',
        'otype' => 'heading',
        'oinfo' => '',
        'osuffix' => '',
        'ovalue' => '',
        'odefault' => 'Documentation',
    ),
    array(
        'oid' => 'docs_info',
        'oname' => 'How to use?',
        'otype' => 'info',
        'oinfo' => '',
        'osuffix' => '',
        'ovalue' => '',
        'odefault' => '<p>Free version includes the following:</p>
                        <p><b>Shortcodes:</b></p>
                        <ol>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/shortcodes/button-shortcodes">Stylized Buttons</a></li>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/shortcodes/columns-shortcodes">Column Layouts</a></li>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/shortcodes/contact-form-info">Contact form &amp; Info</a></li>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/shortcodes/typography-shortcodes">Typography</a></li>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/shortcodes/web-services">Facebook Like Button</a></li>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/shortcodes/web-services">Twitter Feeds</a></li>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/shortcodes/web-services">RSS Feeds within posts or pages</a></li>
                        </ol>
                        <br />
                        <p><b>Widgets:</b></p>
                        <ol>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/widgets/advertisement-125">125x125 Advertisement</a></li>
                            <li><a target="_blank" href="http://lab.netchillies.com/plugins/extend-wordpress/widgets/flickr-images">Flickr Widget</a></li>
                        </ol>                        
                        ',
    ),
    array(
        'oid' => 'pro_version_buy',
        'oname' => 'Premium Version',
        'otype' => 'info-yellow',
        'oinfo' => '',
        'osuffix' => '',
        'ovalue' => '',
        'odefault' => '<p>You can buy the <b><a href="'.  ncewpf_product_info('pro_version_url').'" target="_blank" title="">premium version</a></b> to get all the shortcodes and features listed on our 
                        <b><a href="http://lab.netchillies.com/plugins/extend-wordpress" target="">demo site</a></b>.</p>',
    ),
);