<?php
/*
  Plugin Name: Extend WordPress [FREE]
  Plugin URI: http://www.netchillies.com/extend-wordpress
  Description: This plugin extend existing themes with various short-codes, widgets and functions to enhance your WordPress website. Buy the <a href="http://www.netchillies.com/extend-wordpress" target="_blank" title="">premium verison</a> for <a href="http://lab.netchillies.com/plugins/extend-wordpress" title="">all shortcodes</a>.
  Author: NetChillies.com
  Version: 2.1.02
  Author URI: http://www.netchillies.com/
 */
require_once('framework/framework.php');
require_once('framework/init.php');
#################################################################################
# LOAD MODULES
#################################################################################
$ncewpf_modules = array(
    'shortcodes/shortcodes',
    'shortcodes/html',
    'shortcodes/buttons',
    'shortcodes/columns',
    'shortcodes/contact',
    'shortcodes/webservices',
    
    //'widgets/widgets',
    'widgets/ads-125',
    'widgets/flickr',
);

ncewpf_load_modules($ncewpf_modules);



if (ncewpf_product_info('item_type') == 'Plugin') {
#################################################################################
# PLUGIN SETTINGS LINK
#################################################################################

    function ncewpf_action_links($links, $file) {
        $pro_version = ncewpf_product_info('pro_version_url');
        static $this_plugin;
        if (!$this_plugin)
            $this_plugin = plugin_basename(__FILE__);
        if ($file == $this_plugin) {
            $settings_link = '<a href="' . site_url('wp-admin/admin.php?page=') . ncewpf_product_info('settings_page_slug') . '">' . 'Settings' . '</a>';
            if ($pro_version != '') {
                $settings_link .= ' | <a target="_blank" href="' . $pro_version . '">' . 'Pro Version' . '</a>';
            }
            $links = array_merge(array($settings_link), $links);
        }
        return $links;
    }

    add_filter('plugin_action_links', 'ncewpf_action_links', 10, 2);
    /** LOCALIZATION ************************************************************* */
    load_plugin_textdomain('ncewpf', '/wp-content/plugins/' . dirname(plugin_basename(__FILE__)) . '/languages/');
} else {
    /** LOCALIZATION ************************************************************* */
    load_theme_textdomain('ncewpf', get_template_directory() . '/languages');
}