jQuery(document).ready(function($){

    // Vertical Tabs
    $('.tab-content').hide(0);
    $(".tabbed_content").each(function (i) {
        var id = $(this).attr('id');
        $("#"+id).find('.tab-content:first').fadeIn(200);
        $("#"+id).find('.tab-links:first').addClass('active-tab');
    })
    $('.tab-links a').click(function(){
        var parent_id = $(this).parent().parent().parent().parent().parent().attr('id');
        var tab_class = $(this).attr('class');
        $(".tab-links").removeClass('active-tab');
        $(this).parent().addClass('active-tab');
        $("#"+parent_id).find('.tab-content').hide(0);
        $("#"+parent_id).find("."+tab_class).fadeIn(250);
        return false;
    })

    // Accordions
    $('.accordion-content').hide(0);

    $(".ncewpf-accordion").each(function (i) {
        $(this).find('.accordion-content:first').show(0);
    })

    $('.ncewpf-accordion-content h2').click(function(){
        var id = $(this).attr('id');
        var parent = $(this).parent().parent().attr('id');
        
        $("#"+parent).find('.accordion-content').slideUp(300);


        $("."+id).slideToggle(300);
        
    })

    // Toggle Content
    $(".ncewpf-toggle-title").click(function(){
        var id = $(this).parent().attr('id');
        $(this).toggleClass('ncewpf-toggle-icon-close');
        $(this).toggleClass('ncewpf-toggle-icon-open');
        $("#"+id).find('.ncewpf-toggle-content').slideToggle(300);
        return false;
    })

    // ICONS
    $('.ncewpf-icon').hover(function(){
        $(this).find('.ncewpf-icons').fadeIn(200);
    },function(){
        $(this).find('.ncewpf-icons').fadeOut(200);
    })

    // VIDEO with Image
    $('.ncewpf-show-modal-box').click(function(){
        $(this).parent().find('.ncewpf-modal').fadeIn(300);
        return false;
    })

    $(".ncewpf-modal-close").click(function(){
        $('.ncewpf-modal').fadeOut(300);
    })


    $(document).keyup(function(e) {
        if (e.keyCode == 27) {
            $('.ncewpf-modal').fadeOut(300);
        }   
    });

    // SlideShow
    $(".slideshow").hover(function(){
        var id = $(this).find('.ncewpf-slides-holder').attr('id');
        $("#"+id).parent().find(".ncewpf-slideshow-nav").fadeIn(250);
    },function(){
        var id = $(this).find('.ncewpf-slides-holder').attr('id');
        $("#"+id).parent().find(".ncewpf-slideshow-nav").fadeOut(250);
    })

    $(function(){
        $('.ncewpf-scroll').jScrollPane();
    });

    /* Contact Form */
    $('.ncewpf-required').hide(0);
    // CONTACT FORM
    $("#ncewpf_contact").submit(function(){

        var name = $(this).find('#fullname').val();
        var email = $(this).find('#email').val();
        var message = $(this).find('#message').val();

        $('.ncewpf-required').fadeOut(200);

        if(name == ''){
            $(".fullname").fadeIn(200);
        }
        if(isValidEmail(email) != 1){
            $(".email").fadeIn(200);
        }
        if(message == ''){
            $(".message").fadeIn(200);
        }

        if(name == '' || isValidEmail(email) != 1 || message == ''){
            return false;
        }else{
            return true;
        }

    })
    function isValidEmail(strEmail){
        validRegExp = /^[^@]+@[^@]+.[a-z]{2,}$/i;

        // search email text for regular exp matches
        if (strEmail.search(validRegExp) == -1){
            return 0;
        }else{
            return 1;
        }
    }


    /***************************************************************************
    * WIDGETS
    ****************************************************************************/

    /* TABBED WIDGET */

    $(".ncewpf-widget-tab-content").hide(0);
    $(".ncewpf-widget-tab-content:first").show(0);
    $(".ncewpf-widget-tab-links li:last a").css('border-right', '0px');
    $(".ncewpf-widget-tab-links li:first a").addClass('ncewpf-widget-active-tab');

    $(".ncewpf-widget-tab-links li a").click(function(){
        var parent_id = $(this).parent().parent().parent().attr('id');
        var id = $(this).attr('id');

        $(".ncewpf-widget-tab-links li a").removeClass('ncewpf-widget-active-tab');
        $(this).addClass('ncewpf-widget-active-tab');

        $(".ncewpf-widget-tab-content").hide(0);

        $("#"+parent_id).find('.'+id).fadeIn(250);
        return false;
    })

    $(".ncewpf-widget-accordion-post").hide(0);
    $(".ncewpf-widget-accordion-post:first").show(0);
    $(".ncewpf-accordion-widget-heading").click(function(){
        $(".ncewpf-widget-accordion-post").slideUp(250);
        $(this).parent().find(".ncewpf-widget-accordion-post").slideToggle(250);
    })

});