<?php

function ncewpf_button($atts, $content = null) {
    extract(shortcode_atts(array(
                "id" => '', // optional
                "size" => 'small',
                "class" => 'custom-button',  // optional
                "style" => 'gray',
                "bgcolor" => '',  // optional
                "textcolor" => '',  // optional
                "align" => 'none',
                "window" => 'self',  // optional
                "link" => '#',
                    ), $atts));

    if($bgcolor != null){
        $button_bg = 'style="background-color:#'.$bgcolor.';"';
    }else{
        $button_bg = '';
    }

    if($textcolor != null){
        $span_color = ' style="color:#'.$textcolor.';"';
    }else{
        $span_color = '';
    }

    if($align == 'center'){
        $button_align = '<div class="button_align_center">';
        $button_align_end = '</div>';
    }else{
        $button_align = '';
        $button_align_end = '';
    }

    if($window == 'new'){
        $target = 'target="_blank"';
    }
   

    return '[raw]'.$button_align.'<a '.$target.' href="'.$link.'" class="button '.$size.' '.$style.' '.$class.' align-' .$align.' '.$full.'" '.$button_bg.'><span'.$span_color.'>'.$content.'</span></a>'.$button_align_end.'[/raw]';
}

add_shortcode('button', 'ncewpf_button');